Module java.desktop
Package javax.swing.plaf.basic

## Class BasicFileChooserUI.DoubleClickListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicFileChooserUI.DoubleClickListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  BasicFileChooserUI

    protected class BasicFileChooserUI.DoubleClickListener
    extends MouseAdapter

A double click listener.

### Constructor Summary

Constructors
`DoubleClickListener​(JList<?> list)` Constucts a `DoubleClickListener`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mouseEntered​(MouseEvent e)` The JList used for representing the files is created by subclasses, but the selection is monitored in this class.

### Methods declared in class java.awt.event.MouseAdapter

`mouseDragged, mouseMoved, mouseWheelMoved`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.MouseListener

`mouseClicked, mouseExited, mousePressed, mouseReleased`

### Constructor Detail

#### DoubleClickListener

    public DoubleClickListener​(JList<?> list)

Constucts a `DoubleClickListener`.

Parameters:
  `list` - the lsit

### Method Detail

#### mouseEntered

    public void mouseEntered​(MouseEvent e)

The JList used for representing the files is created by subclasses, but the selection is monitored in this class. The TransferHandler installed in the JFileChooser is also installed in the file list as it is used as the actual transfer source. The list is updated on a mouse enter to reflect the current data transfer state of the file chooser.

Parameters:
  `e` - the event to be processed